import service from "@/utils/axios";
import { localBaseUrl } from "@/constant";

/**
 * 验证报告生成 方案
 * @param data
 * @returns {Promise<axios.AxiosResponse<any>>}
 */
export const generateScheme = (data) => {
  return service.request({
    method: "POST",
    url: `${localBaseUrl}/GenerateReport/Generate_scheme`,
    data,
  });
};

/**
 * 验证报告生成 报告
 * @param data
 * @returns {Promise<axios.AxiosResponse<any>>}
 */
export const generateReport = (data) => {
  return service.request({
    method: "POST",
    url: `${localBaseUrl}/GenerateReport/Generate_report`,
    data,
  });
};

/**
 * 验证报告生成 获取报告
 * @param data
 * @returns {Promise<axios.AxiosResponse<any>>}
 */
export const generateKey = (data) => {
  return service.request({
    method: "POST",
    url: `${localBaseUrl}/GenerateReport/Generate_key`,
    data,
  });
};
