import service from "@/utils/axios";

/**
 * 任务（获取）
 * @param data
 * @returns {Promise<axios.AxiosResponse<any>>}
 */
export const getTask = (data) => {
  return service.request({
    method: "POST",
    url: "/Task/Get",
    data,
  });
};

/**
 * 任务（列表）
 * @param data
 * @returns {Promise<axios.AxiosResponse<any>>}
 */
export const getTaskList = (data) => {
  return service.request({
    method: "POST",
    url: "/Task/List",
    data,
  });
};

/**
 * 任务（编辑）
 * @param data
 * @returns {Promise<axios.AxiosResponse<any>>}
 */
export const editTask = (data) => {
  return service.request({
    method: "POST",
    url: "/Task/Up",
    data,
  });
};
